org.eclipse.emf.cdo.compare

## Class CDOComparisonScope

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterImpl
  - - org.eclipse.emf.compare.scope.AbstractComparisonScope
    - - org.eclipse.emf.cdo.compare.CDOComparisonScope

- All Implemented Interfaces:
    Adapter, Adapter.Internal, org.eclipse.emf.compare.scope.IComparisonScope, org.eclipse.emf.compare.scope.IComparisonScope2, org.eclipse.emf.compare.utils.IDiagnosable
  Direct Known Subclasses:
    CDOComparisonScope.AllContents, CDOComparisonScope.Minimal

      public abstract class CDOComparisonScope
      extends org.eclipse.emf.compare.scope.AbstractComparisonScope

  A CDO-specific base implementation of a `comparison scope`.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CDOComparisonScope.AllContents` Takes an arbitrary `object` (including `resource nodes`) and returns `matches` for all elements of its `content tree`.
    `static class` | `CDOComparisonScope.Minimal` Takes a `view`/`transaction` and returns `matches` only for the changed elements of the entire content tree of its `root resource`.

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

      `Adapter.Internal`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.compare.scope.AbstractComparisonScope

      `allInvolvedResourceURIs, diagnostic, left, nsURIs, origin, resourceURIs, right`

    - ### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

      `target`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDOComparisonScope(Notifier left, Notifier right, Notifier origin)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Iterator<? extends EObject>` | `getCoveredEObjects(Resource resource)`
    `java.util.Iterator<? extends Resource>` | `getCoveredResources(ResourceSet resourceSet)`
    `boolean` | `isResolveProxies()`
    `void` | `setResolveProxies(boolean resolveProxies)`

    - ### Methods inherited from class org.eclipse.emf.compare.scope.AbstractComparisonScope

      `getAllInvolvedResourceURIs, getDiagnostic, getLeft, getNsURIs, getOrigin, getResourceURIs, getRight, isAdapterForType, setDiagnostic`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

      `getTarget, notifyChanged, setTarget, unsetTarget`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.compare.scope.IComparisonScope

      `getChildren`

- - ### Constructor Detail

    - #### CDOComparisonScope

          public CDOComparisonScope(Notifier left,
                                    Notifier right,
                                    Notifier origin)

  - ### Method Detail

    - #### getCoveredResources

          public java.util.Iterator<? extends Resource> getCoveredResources(ResourceSet resourceSet)

    - #### getCoveredEObjects

          public java.util.Iterator<? extends EObject> getCoveredEObjects(Resource resource)

    - #### isResolveProxies

          public final boolean isResolveProxies()

    - #### setResolveProxies

          public final void setResolveProxies(boolean resolveProxies)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html